package cn.palmte.work.model.process;

import java.util.List;

import lombok.Data;

/**
 * 采购合同流程预算采购明细的数量记录
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/28 15:00
 */
@Data
public class BudgetPurchaseAmountModel {

  // 已采购数量
  private Integer amountAlready;

  // 本次采购数量
  private Integer amountCurrent;

  // 未采购数量
  private Integer amountLeft;

  // 项目的成本明细ID
  private Integer budgetCostId;

  private List<BudgetPurchaseDetailModel> details;
}
